lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yonik Seeley (JIRA)" <j...@apache.org>
Subject [jira] Commented: (LUCENE-500) Lucene 2.0 requirements - Remove all deprecated code
Date Thu, 16 Mar 2006 17:55:17 GMT
    [ http://issues.apache.org/jira/browse/LUCENE-500?page=comments#action_12370727 ] 

Yonik Seeley commented on LUCENE-500:
-------------------------------------

My take is that QueryParser should have never attempted to guess the type of the field.
It creates errors when you query on something that looks like a date, but isn't indexed using
DateField or DateTools.

I guess we still need to make a choice on whether breaking the QueryParser compatability is
OK or not for 2.0

> Lucene 2.0 requirements - Remove all deprecated code
> ----------------------------------------------------
>
>          Key: LUCENE-500
>          URL: http://issues.apache.org/jira/browse/LUCENE-500
>      Project: Lucene - Java
>         Type: Task
>     Versions: 1.9
>     Reporter: Grant Ingersoll
>  Attachments: deprecation.txt
>
> Per the move to Lucene 2.0 from 1.9, remove all deprecated code and update documentation,
etc.
> Patch to follow shortly.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message